<center><a href="petscversion.h">Actual source code: petscversion.h</a></center><br>

<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:36:16+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80">

<a name="line6">  6: </a><font color="#B22222">/* ========================================================================== */</font>
<a name="line7">  7: </a><font color="#B22222">/* </font>
<a name="line8">  8: </a><font color="#B22222">   Current PETSc version number and release date, also listed in</font>
<a name="line9">  9: </a><font color="#B22222">    Web page</font>
<a name="line10"> 10: </a><font color="#B22222">    src/docs/tex/manual/intro.tex,</font>
<a name="line11"> 11: </a><font color="#B22222">    src/docs/tex/manual/manual.tex.</font>
<a name="line12"> 12: </a><font color="#B22222">    src/docs/website/index.html.</font>
<a name="line13"> 13: </a><font color="#B22222">*/</font>
<a name="line14"> 14: </a><strong><font color="#228B22">#define PETSC_VERSION_RELEASE    1</font></strong>
<a name="line15"> 15: </a><strong><font color="#228B22">#define PETSC_VERSION_MAJOR      2</font></strong>
<a name="line16"> 16: </a><strong><font color="#228B22">#define PETSC_VERSION_MINOR      3</font></strong>
<a name="line17"> 17: </a><strong><font color="#228B22">#define PETSC_VERSION_SUBMINOR   2</font></strong>
<a name="line18"> 18: </a><strong><font color="#228B22">#define PETSC_VERSION_PATCH      10</font></strong>
<a name="line19"> 19: </a><strong><font color="#228B22">#define PETSC_VERSION_DATE       </font><font color="#666666">"September, 1, 2006"</font><font color="#228B22"></font></strong>
<a name="line20"> 20: </a><strong><font color="#228B22">#define PETSC_VERSION_PATCH_DATE </font><font color="#666666">"unknown"</font><font color="#228B22"></font></strong>
<a name="line21"> 21: </a><strong><font color="#228B22">#define PETSC_VERSION_HG         </font><font color="#666666">"unknown"</font><font color="#228B22"></font></strong>
<a name="line22"> 22: </a><strong><font color="#228B22">#define PETSC_AUTHOR_INFO        </font><font color="#666666">"\</font></strong>
<a name="line23"> 23: </a><strong><font color="#666666">       The PETSc Team\n\</font></strong>
<a name="line24"> 24: </a><strong><font color="#666666">    petsc-maint@mcs.anl.gov\n\</font></strong>
<a name="line25"> 25: </a><strong><font color="#666666"> http://www.mcs.anl.gov/petsc/\n"</font><font color="#228B22"></font></strong>

<a name="line27"> 27: </a><font color="#A020F0">#if (PETSC_VERSION_RELEASE == 1)</font>
<a name="line28"> 28: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Sys/PetscGetVersion.html#PetscGetVersion">PetscGetVersion</A>(version,len) (<A href="../docs/manualpages/Sys/PetscSNPrintf.html#PetscSNPrintf">PetscSNPrintf</A>(*(version),len,</font><font color="#666666">"Petsc Release Version %d.%d.%d, Patch %d, "</font><font color="#228B22">, \</font></strong>
<a name="line29"> 29: </a><strong><font color="#228B22">                                         PETSC_VERSION_MAJOR,PETSC_VERSION_MINOR, PETSC_VERSION_SUBMINOR, \</font></strong>
<a name="line30"> 30: </a><strong><font color="#228B22">                                         PETSC_VERSION_PATCH),<A href="../docs/manualpages/Sys/PetscStrcat.html#PetscStrcat">PetscStrcat</A>(*(version),PETSC_VERSION_PATCH_DATE), \</font></strong>
<a name="line31"> 31: </a><strong><font color="#228B22">                                         <A href="../docs/manualpages/Sys/PetscStrcat.html#PetscStrcat">PetscStrcat</A>(*(version),</font><font color="#666666">" HG revision: "</font><font color="#228B22">),<A href="../docs/manualpages/Sys/PetscStrcat.html#PetscStrcat">PetscStrcat</A>(*(version),PETSC_VERSION_HG),0)</font></strong>
<a name="line32"> 32: </a><font color="#A020F0">#else</font>
<a name="line33"> 33: </a><strong><font color="#228B22">#define <A href="../docs/manualpages/Sys/PetscGetVersion.html#PetscGetVersion">PetscGetVersion</A>(version,len) (<A href="../docs/manualpages/Sys/PetscSNPrintf.html#PetscSNPrintf">PetscSNPrintf</A>(*(version),len,</font><font color="#666666">"Petsc Development Version %d.%d.%d, Patch %d, "</font><font color="#228B22">, \</font></strong>
<a name="line34"> 34: </a><strong><font color="#228B22">                                         PETSC_VERSION_MAJOR,PETSC_VERSION_MINOR, PETSC_VERSION_SUBMINOR, \</font></strong>
<a name="line35"> 35: </a><strong><font color="#228B22">                                         PETSC_VERSION_PATCH),<A href="../docs/manualpages/Sys/PetscStrcat.html#PetscStrcat">PetscStrcat</A>(*(version),PETSC_VERSION_PATCH_DATE), \</font></strong>
<a name="line36"> 36: </a><strong><font color="#228B22">                                         <A href="../docs/manualpages/Sys/PetscStrcat.html#PetscStrcat">PetscStrcat</A>(*(version),</font><font color="#666666">" HG revision: "</font><font color="#228B22">),<A href="../docs/manualpages/Sys/PetscStrcat.html#PetscStrcat">PetscStrcat</A>(*(version),PETSC_VERSION_HG),0)</font></strong>
<a name="line37"> 37: </a><font color="#A020F0">#endif</font>

<a name="line39"> 39: </a><font color="#B22222">/*MC</font>
<a name="line40"> 40: </a><font color="#B22222">    <A href="../docs/manualpages/Sys/PetscGetVersion.html#PetscGetVersion">PetscGetVersion</A> - Gets the Petsc Version information in a string.</font>

<a name="line42"> 42: </a><font color="#B22222">    Output Parameter:</font>
<a name="line43"> 43: </a><font color="#B22222">.   version - version string</font>

<a name="line45"> 45: </a><font color="#B22222">    Input Parameter:</font>
<a name="line46"> 46: </a><font color="#B22222">.   len - length of the string</font>

<a name="line48"> 48: </a><font color="#B22222">    Level: developer</font>

<a name="line50"> 50: </a><font color="#B22222">    Usage:</font>
<a name="line51"> 51: </a><font color="#B22222">    char version[256];</font>
<a name="line52"> 52: </a><font color="#B22222">    <A href="../docs/manualpages/Sys/PetscGetVersion.html#PetscGetVersion">PetscGetVersion</A>(&amp;version,256);</font>

<a name="line54"> 54: </a><font color="#B22222">    Fortran Note:</font>
<a name="line55"> 55: </a><font color="#B22222">    This routine is not supported in Fortran.</font>

<a name="line57"> 57: </a><font color="#B22222">.seealso: <A href="../docs/manualpages/Sys/PetscGetProgramName.html#PetscGetProgramName">PetscGetProgramName</A>()</font>

<a name="line59"> 59: </a><font color="#B22222">M*/</font>

<a name="line62"> 62: </a><font color="#A020F0">#endif</font>
</pre>
</body>

</html>
